Feature #1866: redefinable not (!) operators for 1.8
http://redmine.ruby-lang.org/issues/show/1866

起票者: Shyouhei Urabe
ステータス: Assigned, 優先度: Low
担当者: Akinori MUSHA, カテゴリ: core, Target version: Ruby 1.8.8

1.8でも!を再定義可能にするというのはどうでしょうか。
純粋な拡張なので、後方互換は問題ないんじゃないかと思っています。test-allは通っていそうです。

実装を(redmineに)添付します。


----------------------------------------
http://redmine.ruby-lang.org